Skip to main content
`Ctrl`+`K`

# PCGetType

Gets the `PCType` (as a string) from the `PC` context.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGetType(PC pc, PCType *type)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - name of preconditioner method

## Note

`type` should not be retained for later use as it will be an invalid pointer if the `PCType` of `pc` is changed.

## See Also

KSP: Linear System Solvers, `PC`, `PCType`, `PCSetType()`, `PetscObjectTypeCompare()`, `PetscObjectTypeCompareAny()`

## Level

intermediate

## Location

src/ksp/pc/interface/pcset.c

## Examples

src/ksp/ksp/tutorials/ex87.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages